Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/php-blenc: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

Valery Kartel
Details
Message ID
<1446843887-25209-1-git-send-email-valery.kartel@gmail.com>
Sender timestamp
1446843887
DKIM signature
missing
Download raw message
Patch: +11 -19
---
 testing/php-blenc/APKBUILD | 30 +++++++++++-------------------
 1 file changed, 11 insertions(+), 19 deletions(-)

diff --git a/testing/php-blenc/APKBUILD b/testing/php-blenc/APKBUILD
index 02ebdd0..53780f8 100644
--- a/testing/php-blenc/APKBUILD
+++ b/testing/php-blenc/APKBUILD
@@ -1,30 +1,22 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
 # Maintainer: Diaz Devera Victor <vitronic2@gmail.com>
-
 pkgname=php-blenc
+_pkgreal=blenc
 pkgver=1.1.4b
+_pkgver=${pkgver/_rc/RC}
 pkgrel=0
-pkgdesc="BLowfish ENCryption for PHP Scripts"
-url="http://pecl.php.net/package/blenc"
+pkgdesc="PHP extension provides blowfish encryption for php scripts"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
 depends=
-depends_dev="php-dev"
-makedepends="$depends_dev autoconf"
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends"
 install=""
 subpackages=""
-source="http://pecl.php.net/get/blenc-$pkgver.tgz"
-
-_builddir="$srcdir/blenc-$pkgver"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
 
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
 	cd "$_builddir"
@@ -35,9 +27,9 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
 	install -d "$pkgdir"/etc/php/conf.d || return 1
-	echo "extension=blenc.so" > "$pkgdir"/etc/php/conf.d/blenc.ini
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
 md5sums="90ab57bf63854f7927ae66c2b3a40a7d  blenc-1.1.4b.tgz"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---